KDE 4.2 PyKDE API Reference

- KDE's Python API

# Soprano.Vocabulary.RDF Namespace Reference

`from PyKDE4.soprano.Soprano.Vocabulary.RDF import *`

## Detailed Description

## Functions

QUrl | Alt ()
QUrl | Bag ()
QUrl | List ()
QUrl | Property ()
QUrl | Seq ()
QUrl | Statement ()
QUrl | XMLLiteral ()
QUrl | first ()
QUrl | nil ()
QUrl | object ()
QUrl | predicate ()
QUrl | rdfNamespace ()
QUrl | rest ()
QUrl | subject ()
QUrl | type ()
QUrl | value ()

## Function Documentation

QUrl Alt | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#Alt

The class of containers of alternatives.

QUrl Bag | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#Bag

The class of unordered containers.

QUrl List | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#List

The class of RDF Lists.

QUrl Property | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#Property

The class of RDF properties.

QUrl Seq | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#Seq

The class of ordered containers.

QUrl Statement | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#Statement

The class of RDF statements.

QUrl XMLLiteral | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#XMLLiteral

The class of XML literal values.

QUrl first | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#first

The first item in the subject RDF list.

QUrl nil | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#nil

The empty list, with no items in it. If the rest of a list is nil then the list has no more items in it.

QUrl object | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#object

The object of the subject RDF statement.

QUrl predicate | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate

The predicate of the subject RDF statement.

QUrl rdfNamespace | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#

QUrl rest | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#rest

The rest of the subject RDF list after the first item.

QUrl subject | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#subject

The subject of the subject RDF statement.

QUrl type | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#type

The subject is an instance of a class.

QUrl value | ( |  | self ) |

http://www.w3.org/1999/02/22-rdf-syntax-ns#value

Idiomatic property used for structured values.